Bug Hunting Session
Bug 56598 - FILESAVE: no whitespace between subsection numbers and titles in XHTML export
Summary: FILESAVE: no whitespace between subsection numbers and titles in XHTML export
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:4.0.0
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-31 01:48 UTC by callow.mark
Modified: 2012-11-28 06:17 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
2 page .odt whose export shows the lack of spacing (25.18 KB, application/vnd.oasis.opendocument.text)
2012-11-01 06:06 UTC, callow.mark
Details

Note You need to log in before you can comment on or make changes to this bug.
Description callow.mark 2012-10-31 01:48:44 UTC
When I export my .odt file to xhtml the exported file has no whitespace between subsection numbers and the section titles. However there is space between main section numbers and titles. E.g "1 Introduction" is okay, "1.1Changes" and "1.1.1Changes from ..." are not.

I cannot attach the document as this is a public list and I do not have permission to do so. I can however send it to whoever works on this bug.
Comment 1 callow.mark 2012-11-01 06:06:37 UTC
Created attachment 69378 [details]
2 page .odt whose export shows the lack of spacing

This export of this attachment shows both this bug and bug 56596 (hence its name).
Comment 2 callow.mark 2012-11-01 06:07:26 UTC
Oh! Use File > Export > XHTML.
Comment 3 Not Assigned 2012-11-26 22:40:05 UTC
Peter Jentsch committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7ce4ca1c49c1183ffb32b0e7f85e29e3d5b2eb37

fdo#56598 - no whitespace after section numbers in XHTML export



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Peter Jentsch 2012-11-26 22:41:54 UTC
The fix for this is rather hackish - as is the list export code currently. Should improve the export anyhow.
Comment 5 callow.mark 2012-11-28 06:17:05 UTC
Thank you.